nvme_mi_create_root(2)

NAME
nvme_mi_create_root - Create top-level MI (root) handle.

SYNOPSIS
nvme_root_t nvme_mi_create_root (FILE *fp , int log_level );

ARGUMENTS

fp  File descriptor for logging messages

log_level
    Logging level to use

DESCRIPTION
Create the top-level (library) handle for creating subsequent endpoint objects. Similar to nvme_create_root, but we provide this to allow linking without the core libnvme.

See nvme_create_root.

RETURN
new root object, or NULL on failure.